name:         ap05
version:      0.1
synopsis:     ap05
license:      BSD3

dependencies:
  - base
  - HUnit
  - mtl
  - text

tests:
  ex01:
    main: Main.hs
    source-dirs: ex01
  ex02:
    main: Main.hs
    source-dirs: ex02
  ex03:
    main: Main.hs
    source-dirs: ex03

ghc-options:
  - -Werror -W -fwarn-unused-binds -fwarn-orphans
  - -fwarn-unused-matches -fwarn-unused-do-bind -fwarn-wrong-do-bind
  - -fwarn-missing-signatures -fno-warn-partial-type-signatures
  - -Wredundant-constraints

default-extensions:
  - ScopedTypeVariables

# Setup for running tests in praktomat

flags:
  test-mode:
    description: "By default, do not run instructor tests"
    manual: true
    default: false

when:
- condition: flag(test-mode)
  then:
    dependencies:
      - template-haskell
      - haskell-src-meta
      - filepath
      - bytestring
      - directory
      - main-tester
  else:
    dependencies: []
